import 'package:b_generator/src/bundle_generator.dart';
import 'package:b_generator/src/event_generator.dart';
import 'package:b_generator/src/state_generator.dart';
import 'package:b_generator/src/bloc_generator.dart';
import 'package:build/build.dart';
import 'package:source_gen/source_gen.dart';

Builder bloc(BuilderOptions options) => PartBuilder([BlocGenerator()], '.bloc.dart');

Builder event(BuilderOptions options) => PartBuilder([EventGenerator()], '.events.dart');

Builder bundle(BuilderOptions options) => PartBuilder([BundleGenerator()], '.bundle.dart');

Builder state(BuilderOptions options) => PartBuilder([StateGenerator()], '.state.dart');
